Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class Radio

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ListUIBean
                  org.apache.struts2.components.Radio

    public class Radio

extends ListUIBean

Render a radio button input field.

Examples

In this example, a radio control is displayed with a list of genders. The gender list is built from attribute id=genders. The framework calls getGenders() which will return a Map. For examples using listKey and listValue attributes, see the section select tag. The default selected one will be determined (in this case) by the getMale() method in the action class which should retun a value similar to the key of the getGenters() map if that particular gender is to be selected.

###

###

###

###

###

###

     <s:action name="GenderMap" var="genders"/>
     <s:radio label="Gender" name="male" list="#genders.genders"/>

     <@s.radio name="car" list={"ford": "Ford Motor Co", "toyota": "Toyota"} listKey="key" listValue="value" />

    Field Summary

    protected  String
    readonly

    static String
    TEMPLATE

    Fields inherited from class org.apache.struts2.components.ListUIBean

    list, listCssClass, listCssStyle, listKey, listLabelKey, listTitle, listValue, listValueKey, throwExceptionOnNullValueAttribute

    Fields inherited from class org.apache.struts2.components.UIBean

    accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, requiredLabel, requiredPosition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, uiThemeExpansionToken, value

    Fields inherited from class org.apache.struts2.components.Component

    actionMapper, COMPONENT_STACK, devMode, parameters, stack, standardAttributesMap, throwExceptionOnELFailure

    Constructor Summary

    Radio(ValueStack stack,
          javax.servlet.http.HttpServletRequest request,
          javax.servlet.http.HttpServletResponse response)

    Method Summary

     void
    evaluateExtraParams()

    protected  String
    getDefaultTemplate()

              A contract that requires each concrete UI Tag to specify which template should be used as a default.

     void
    setReadonly(String readonly)

    Methods inherited from class org.apache.struts2.components.ListUIBean

    contains, getValueClassType, setList, setListCssClass, setListCssStyle, setListKey, setListLabelKey, setListTitle, setListValue, setListValueKey, setThrowExceptionOnNullValueAttribute

    Methods inherited from class org.apache.struts2.components.UIBean

    addFormParameter, buildTemplateName, copyParams, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getId, getTemplate, getTemplateDir, getTheme, getTooltipConfig, mergeTemplate, populateComponentHtmlId, setAccesskey, setClass, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setUIThemeExpansionToken, setValue

    Methods inherited from class org.apache.struts2.components.Component

    addAllParameters, addParameter, altSyntax, completeExpressionIfAltSyntax, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, getStandardAttributes, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setThrowExceptionsOnELFailure, setUrlHelper, start, stripExpressionIfAltSyntax, toString, usesBody

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Field Detail

    TEMPLATE

    public static final String TEMPLATE

    See Also:Constant Field Values

    readonly

    protected String readonly

    Constructor Detail

    Radio

    public Radio(ValueStack stack,
                 javax.servlet.http.HttpServletRequest request,
                 javax.servlet.http.HttpServletResponse response)

    Method Detail

    getDefaultTemplate

    protected String getDefaultTemplate()

    Description copied from class: UIBean
    A contract that requires each concrete UI Tag to specify which template should be used as a default.  For
     example, the CheckboxTab might return "checkbox.vm" while the RadioTag might return "radio.vm".  This value
     not begin with a '/' unless you intend to make the path absolute rather than relative to the
     current theme.

    Specified by:getDefaultTemplate in class UIBean

    Returns:The name of the template to be used as the default.

    evaluateExtraParams

    public void evaluateExtraParams()

    Overrides:evaluateExtraParams in class ListUIBean

    setReadonly

    public void setReadonly(String readonly)

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 2000–2017 Apache Software Foundation. All rights reserved.